from django.contrib import admin
from .models import Author, Books

class AuthorAdmin(admin.ModelAdmin):
    model = Author

    search_fields = ('first_name', 'last_name',)
    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio',)
    list_filter = ('first_name', 'last_name', 'age', 'nationality',)

class BooksAdmin(admin.ModelAdmin):
    model = Books

    search_fields = ('title', 'author', 'publisher', 'ISBN',)
    list_display = ('title', 'author', 'publisher', 'year_published', 'ISBN', 'blurb',)
    list_filter = ('title', 'author', 'publisher', 'year_published')

admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)
