from django.db import models
from django.urls import reverse

class Author(models.Model):
    first_name = models.CharField(max_length=60)
    last_name = models.CharField(max_length=60)
    age = models.IntegerField(default=0)
    nationality = models.CharField(max_length=60)
    bio = models.TextField(max_length=700)

    def __str__(self):
        name = str(self.first_name + " " + self.last_name)
        return name
    
    def get_absolute_url(self):
        return reverse('bookshelf:author-details', kwargs={'pk': self.pk})

class Books(models.Model):
    title = models.CharField(max_length=100)
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    publisher = models.CharField(max_length=69)
    year_published = models.IntegerField(default=2000)
    ISBN = models.IntegerField(default=0)
    blurb = models.TextField(max_length=700)

    def __str__(self):
        return self.title
    
    def get_absolute_url(self):
        return reverse('bookshelf:book-details', kwargs={'pk': self.pk})
